Issue 1922 obliterate -o (Was: Re: issue1921 darcs: bug at src/Darcs/Patch/Depends.hs:123)

Title obliterate -o (Was: Re: issue1921 darcs: bug at src/Darcs/Patch/Depends.hs:123)
Priority bug Status resolved
Milestone 2.8.0 Resolved in 2.8.0
Superseder Nosy List dmitry.kurochkin, galbolle, mornfall
Assigned To galbolle

Created on 2010-08-14.21:16:31 by mornfall, last changed 2010-12-19.00:00:12 by noreply.

msg12184 (view) Author: mornfall Date: 2010-08-14.21:16:30
Hi again,

unfortunately trying to reproduce issue1921, I ran in couple more
(fairly serious) bugs about darcs unpull -o where it produces busted
bundles. We may consider disabling it for the release.

Basically, passing any noninteractive matchers to unpull -o will make it
produce a partial and definitely wrong context, which then makes darcs
apply explode in a fancy firework. I have observed commutation failures
and bogus conflictors at least.


PS: This is of course fixable, but I am not sure we want to delay the
release a week or more for this (i.e. I won't have time to fix this
sooner, so unless someone else steps up, I suggest just yanking the
-o/-O options from unpull on the release branch).
msg12952 (view) Author: kowey Date: 2010-11-09.10:01:50
If I understand correctly, this is the same as a fetch -o bug (which I 
can't find on the tracker).

[I'm mostly testing a roundup here in my reply]
msg13065 (view) Author: galbolle Date: 2010-11-15.14:44:27
Can someone provide a test-case for this, I think I have it fixed, but 
I'd like to be sure (I cannot build a small failing test-case).
msg13387 (view) Author: noreply Date: 2010-12-19.00:00:12
The following patch sent by Florent Becker <florent.becker@ens-lyon.org> updated issue issue1922 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue1922: output correct context in darcs unpull -O 
Ignore-this: 741866c4a645edc0b43ba889fb4e965c
Date User Action Args
2010-08-14 21:16:31mornfallcreate
2010-11-09 10:01:51koweysetmessages: + msg12952
2010-11-09 12:36:27galbollesetstatus: unknown -> has-patch
assignedto: galbolle
nosy: + galbolle
2010-11-15 14:44:28galbollesetstatus: has-patch -> waiting-for
messages: + msg13065
2010-11-15 14:59:22koweysetstatus: waiting-for -> needs-reproduction
2010-12-18 23:54:17koweysetpriority: bug
milestone: 2.8.0
2010-12-19 00:00:12noreplysetstatus: needs-reproduction -> resolved
messages: + msg13387
resolvedin: 2.8.0